Package org.apache.tomcat.util.net.openssl.ciphers

## Enum Authentication

- java.lang.Object
- - java.lang.Enum<Authentication>
  - - org.apache.tomcat.util.net.openssl.ciphers.Authentication

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Authentication>`

    public enum Authentication
    extends java.lang.Enum<Authentication>

### Enum Constant Summary

Enum Constants
`aNULL`
`ANY`
`DH`
`DSS`
`ECDH`
`ECDSA`
`FZA`
`GOST01`
`GOST94`
`KRB5`
`PSK`
`RSA`
`SRP`

### Method Summary

All Methods Static Methods Concrete Methods
`static Authentication` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Authentication[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RSA

    public static final Authentication RSA

#### DSS

    public static final Authentication DSS

#### aNULL

    public static final Authentication aNULL

#### DH

    public static final Authentication DH

#### ECDH

    public static final Authentication ECDH

#### KRB5

    public static final Authentication KRB5

#### ECDSA

    public static final Authentication ECDSA

#### PSK

    public static final Authentication PSK

#### GOST94

    public static final Authentication GOST94

#### GOST01

    public static final Authentication GOST01

#### FZA

    public static final Authentication FZA

#### SRP

    public static final Authentication SRP

#### ANY

    public static final Authentication ANY

### Method Detail

#### values

    public static Authentication[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Authentication c : Authentication.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Authentication valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null